=== added directory 'stock_lot_valuation'
=== added file 'stock_lot_valuation/AUTHORS.txt'
--- stock_lot_valuation/AUTHORS.txt	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/AUTHORS.txt	2013-05-10 08:55:26 +0000
@@ -0,0 +1,1 @@
+Lorenzo Battistini <lorenzo.battistini@agilebg.com>

=== added file 'stock_lot_valuation/__init__.py'
--- stock_lot_valuation/__init__.py	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/__init__.py	2013-05-10 08:55:26 +0000
@@ -0,0 +1,21 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import product

=== added file 'stock_lot_valuation/__openerp__.py'
--- stock_lot_valuation/__openerp__.py	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/__openerp__.py	2013-05-10 08:55:26 +0000
@@ -0,0 +1,38 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    'name': "Lot Valuation",
+    'version': '0.1',
+    'category': 'Warehouse Management',
+    'description': """
+Stock valuation (standard or average price, ...) based on lots.
+This module extends standard stock valuation (based on products). Valuing lots allows to have different costs for different lots of the same product.
+""",
+    'author': 'Agile Business Group',
+    'website': 'http://www.agilebg.com',
+    'license': 'AGPL-3',
+    "depends" : ['stock'],
+    "init_xml" : [],
+    "update_xml" : [],
+    "demo_xml" : [],
+    "active": False,
+    "installable": True
+}

=== added file 'stock_lot_valuation/product.py'
--- stock_lot_valuation/product.py	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/product.py	2013-05-10 08:55:26 +0000
@@ -0,0 +1,29 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from openerp.osv import fields, orm
+from openerp.tools.translate import _
+
+class product_product(orm.Model):
+    _inherit = "product.product"
+
+	_columns = {
+		'lot_valuation':fields.boolean('Lot valuation', help="Use lot valuation instead of product valuation"),
+		}

=== added file 'stock_lot_valuation/product_view.xml'
--- stock_lot_valuation/product_view.xml	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/product_view.xml	2013-05-10 08:55:26 +0000
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+<data>
+    <record id="product_normal_form_view" model="ir.ui.view">
+        <field name="name">product_normal_form_view</field>
+        <field name="model">product.product</field>
+        <field name="arch" type="xml">
+            <field name="standard_price" position="after">
+                <field name="lot_valuation"></field>
+            </field>
+        </field>
+    </record>
+</data>
+</openerp>

=== added file 'stock_lot_valuation/stock.py'
--- stock_lot_valuation/stock.py	1970-01-01 00:00:00 +0000
+++ stock_lot_valuation/stock.py	2013-05-10 08:55:26 +0000
@@ -0,0 +1,30 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from openerp.osv import fields, orm
+from openerp.tools.translate import _
+
+class stock_move(orm.Model):
+    _inherit = "stock.move"
+
+    def _get_reference_accounting_values_for_valuation(self, cr, uid, move, context=None):
+        res = super(stock_move,self)._get_reference_accounting_values_for_valuation(
+            cr, uid, move, context=context)
+        return res

